POST api/medistreamprogramapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| active | boolean |
Required |
|
| duration | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"medistream_id": "4152e319-a59f-45ab-a8fb-d7b0877effb4",
"id": "3fff4a8c-0d4a-4b3f-9769-4b02d5d4a454",
"local_id": 1,
"name": "sample string 3",
"active": true,
"duration": 1
}
application/xml, text/xml
Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>3fff4a8c-0d4a-4b3f-9769-4b02d5d4a454</id> <local_id>1</local_id> <medistream_id>4152e319-a59f-45ab-a8fb-d7b0877effb4</medistream_id> <name>sample string 3</name> </medistream_program>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"76af6d02-0fec-4344-8309-a139a8090098"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">76af6d02-0fec-4344-8309-a139a8090098</guid>